DragonFly BSD
DragonFly users List (threaded) for 2004-10
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: port problems after update to DragonFly_Stable

From: "Martin P. Hellwig" <mhellwig@xxxxxxxxx>
Date: Sun, 03 Oct 2004 19:49:56 +0200

Marco Righele wrote:

I installed DFBSD to a new box, using a "stable" iso (sept.13 more or less).
Then I updated kernel and world to the DragonFly_Stable tag.
After that I started having a lot of troubles installing port.
For example, I can't compile any perl related
port (or the perl port itself).
Trying to compile lang/perl5 gives me the following output:

"/usr/ports/Mk/bsd.port.mk", line 1109: warning: String comparison operator should be either == or !=
"/usr/ports/Mk/bsd.port.mk", line 1109: Malformed conditional (${PERL_LEVEL} >= 500600)
<cut loop> "/usr/share/mk/bsd.port.mk", line 100: Need an operator
make: fatal errors encountered -- cannot continue

Any idea of what I could do to fix it ?
Thanks in advance

Perhaps it is needed to set PERL_VER= PERL_VERSION= to the right version (the version you want) in /etc/make.conf ?


[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]